Bug 1238384 - Review Request: mingw-qscintilla - MinGW Windows mingw-qscintilla library
Summary: Review Request: mingw-qscintilla - MinGW Windows mingw-qscintilla library
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-01 18:28 UTC by Sandro Mani
Modified: 2017-09-07 19:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-07 19:47:26 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Sandro Mani 2015-07-01 18:28:56 UTC
Spec URL: https://smani.fedorapeople.org/review/mingw-qscintilla.spec
SRPM URL: https://smani.fedorapeople.org/review/mingw-qscintilla-2.9-1.fc23.src.rpm
Description: MinGW Windows mingw-qscintilla library
Fedora Account System Username: smani

Comment 1 Upstream Release Monitoring 2015-12-03 20:43:10 UTC
pbrobinson's scratch build of mingw-qt5-qtdeclarative?#0591cb7cdaa968100fd75da17c3cd72799f2a797 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-qt5-qtdeclarative?#0591cb7cdaa968100fd75da17c3cd72799f2a797 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038486

Comment 2 Upstream Release Monitoring 2015-12-03 20:44:21 UTC
pbrobinson's scratch build of mingw-qt5-qtbase?#824459d300a4cd07124c3e4967064eec3818d7e2 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-qt5-qtbase?#824459d300a4cd07124c3e4967064eec3818d7e2 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038485

Comment 3 Upstream Release Monitoring 2015-12-03 20:45:12 UTC
pbrobinson's scratch build of mingw-pkg-config?#e46789095e76e3f10f8da9d5c3390029618a5f93 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-pkg-config?#e46789095e76e3f10f8da9d5c3390029618a5f93 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038484

Comment 4 Robert-André Mauchin 2017-09-01 12:35:16 UTC
I will be using the SPEC file and patches from your Github.

SPEC URL: https://github.com/manisandro/fedora-mingw/raw/master/mingw-qscintilla/mingw-qscintilla.spec

Some missing dependencies:

DEBUG util.py:450:  No matching package to install: 'mingw32-PyQt4': I can't build it because it is missing phonon headers file:

cfgtest_phonon.cpp:1:10: fatal error: phonon/videowidget.h: No such file or directory
 #include <phonon/videowidget.h>

I guess you'll have to make a mingw-phonon package.

It also depends on mingw-sip (potential problem: does not produce debug infos)

DEBUG util.py:450:  No matching package to install: 'mingw32-python2'
DEBUG util.py:450:  No matching package to install: 'mingw32-python2-qt5'

I don't think you have proposed any of them yet? I'd be happy to review them once you do.

Comment 5 Sandro Mani 2017-09-01 21:16:54 UTC
Right, the whole cross-compiling python stuff is still a bit experimentation in progress, I still occasionally encounter some rough edges, so I think I'll still hold it off for the main repos for the moment, at least until I get mingw-python-numpy to compile (which I'm working on now).

Comment 6 Sandro Mani 2017-09-03 20:23:09 UTC
Ok I think mingw-python2 should be in pretty good shape now, review is at [1].

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1487960

Comment 7 Sandro Mani 2017-09-06 08:02:45 UTC
Considering that qt4 is dead, I'm not sure it's worth the effort to get PyQt4 into the repos. If you have any need for it, I'm happy to post it for review. For now, I've disabled qt4:

SPEC: https://smani.fedorapeople.org/review/mingw-qscintilla.spec
SRPM: https://smani.fedorapeople.org/review/mingw-qscintilla-2.10.1-2.fc28.src.rpm


More stuff :)
mingw-GeographicLib: https://bugzilla.redhat.com/show_bug.cgi?id=1488754
mingw-quazip: https://bugzilla.redhat.com/show_bug.cgi?id=1488758
mingw-exiv2: https://bugzilla.redhat.com/show_bug.cgi?id=1488756
mingw-qwt: https://bugzilla.redhat.com/show_bug.cgi?id=1488763
mingw-svg2svgt: https://bugzilla.redhat.com/show_bug.cgi?id=1488765

Thanks!

Comment 8 Robert-André Mauchin 2017-09-06 15:02:18 UTC
Package accepted!


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Public domain", "BSD (2 clause)", "*No copyright* Public
     domain", "Unknown or generated", "GPL (v3.0)". 468 files have unknown
     license. Detailed output of licensecheck in /home/bob/packaging/review
     /mingw-qscintilla/review-mingw-qscintilla/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/i686-w64-mingw32/sys-
     root/mingw/lib/python2.7/site-packages/PyQt5, /usr/x86_64-w64-mingw32
     /sys-root/mingw/lib/python2.7, /usr/i686-w64-mingw32/sys-
     root/mingw/share/sip/PyQt5, /usr/x86_64-w64-mingw32/sys-
     root/mingw/lib/python2.7/site-packages/PyQt5, /usr/x86_64-w64-mingw32
     /sys-root/mingw/share/sip, /usr/i686-w64-mingw32/sys-
     root/mingw/lib/python2.7/site-packages, /usr/i686-w64-mingw32/sys-
     root/mingw/lib/python2.7, /usr/x86_64-w64-mingw32/sys-
     root/mingw/share/sip/PyQt5, /usr/x86_64-w64-mingw32/sys-
     root/mingw/lib/python2.7/site-packages, /usr/i686-w64-mingw32/sys-
     root/mingw/share/sip
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/i686-w64-mingw32/sys-
     root/mingw, /usr/i686-w64-mingw32/sys-root/mingw/lib/python2.7/site-
     packages/PyQt5, /usr/i686-w64-mingw32/sys-
     root/mingw/share/qt5/translations, /usr/x86_64-w64-mingw32/sys-
     root/mingw/share/qt5/translations, /usr/x86_64-w64-mingw32/sys-
     root/mingw/lib/python2.7, /usr/i686-w64-mingw32/sys-
     root/mingw/share/sip/PyQt5, /usr/x86_64-w64-mingw32/sys-root/mingw,
     /usr/x86_64-w64-mingw32/sys-root/mingw/lib/python2.7/site-
     packages/PyQt5, /usr/x86_64-w64-mingw32/sys-root/mingw/share/sip,
     /usr/x86_64-w64-mingw32, /usr/i686-w64-mingw32/sys-root/mingw/lib,
     /usr/i686-w64-mingw32/sys-root/mingw/lib/python2.7/site-packages,
     /usr/i686-w64-mingw32/sys-root/mingw/lib/python2.7,
     /usr/x86_64-w64-mingw32/sys-root/mingw/share/sip/PyQt5,
     /usr/i686-w64-mingw32/sys-root/mingw/share/qt5,
     /usr/x86_64-w64-mingw32/sys-root/mingw/lib/python2.7/site-packages,
     /usr/i686-w64-mingw32/sys-root, /usr/x86_64-w64-mingw32/sys-root,
     /usr/x86_64-w64-mingw32/sys-root/mingw/share/qt5,
     /usr/i686-w64-mingw32, /usr/i686-w64-mingw32/sys-root/mingw/share,
     /usr/x86_64-w64-mingw32/sys-root/mingw/share, /usr/i686-w64-mingw32
     /sys-root/mingw/share/sip, /usr/x86_64-w64-mingw32/sys-root/mingw/lib
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in mingw32
     -qscintilla-qt5 , mingw32-python2-qscintilla-qt5 , mingw64-qscintilla-
     qt5 , mingw64-python2-qscintilla-qt5
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Comment 9 Gwyn Ciesla 2017-09-06 16:04:16 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mingw-qscintilla


Note You need to log in before you can comment on or make changes to this bug.